org.w3c.dom.ranges

## Interface DocumentRange

-     public interface DocumentRange

  See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

  Since:
    DOM Level 2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Range` | `createRange()` This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

- - ### Method Detail

    - #### createRange

          Range createRange()

      This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.
      Returns:
        The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the `ownerDocument`.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.